<nb-card>
    <nb-card-header>Your Characters</nb-card-header>
    <nb-card-body>

        <div class="row">
            <div class="col-lg-3 col-sm-6">
                <div class="form-group">
                    <label for="id" class="label">Search by Id </label>
                    <input type="text" nbInput fullWidth placeholder="Id" (keyup)="getFilterValue($event,'id')" />
                </div>
            </div>
            <div class="col-lg-3 col-sm-6">
                <div class="form-group">
                    <label for="name" class="label">Search by Name</label>
                    <input type="text" nbInput fullWidth placeholder="Name" (keyup)="getFilterValue($event,'name')" />
                </div>
            </div>
            <div class=" col-lg-3 col-sm-6 ">
                <div class="form-group ">
                    <label for="gender " class="label ">Search by Gender</label>
                    <input type="text " nbInput fullWidth placeholder="Gender " (keyup)="getFilterValue($event,'gender')" />
                </div>
            </div>
            <div class="col-lg-3 col-sm-6">
                <div class="form-group">
                    <label for="date" class="label">Search by Date</label>
                    <input type="text" nbInput fullWidth placeholder="Creation Date" (keyup)="getFilterValue($event,'date')" />
                </div>
            </div>
        </div>

        <ng2-smart-table [settings]=" settings " [source]="source " (editConfirm)="onEditConfirm($event)" (deleteConfirm)="onDeleteConfirm($event) ">
        </ng2-smart-table>

    </nb-card-body>
</nb-card>